Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# component.hh File Reference

An AtkComponent C++ wrapper interface. More...

`#include <xfc/glib/type.hh>`
`#include <xfc/atk/util.hh>`
`#include <atk/atkcomponent.h>`
`#include <xfc/atk/inline/component.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Atk

## Classes

- class Xfc::Atk::Component
    An AtkComponent C++ wrapper class. More...

## Detailed Description

An AtkComponent C++ wrapper interface.

Provides Component, an interface provided by UI components which occupy a physical area on the screen.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3